package cn.superdesk.uniorder.service.marketing.department.impl;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCityTarget;
import cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityTargetMapper;
import cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityTargetMapperEx;
import cn.superdesk.uniorder.service.marketing.department.UnifiedAreaCityTargetService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/24 下午5:36
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/24 下午5:36
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service
public class UnifiedAreaCityTargetServiceImpl implements UnifiedAreaCityTargetService {


	@Autowired
	private UnifiedAreaCityTargetMapper   unifiedAreaCityTargetMapper;
	@Autowired
	private UnifiedAreaCityTargetMapperEx unifiedAreaCityTargetMapperEx;

	@Override
	public PageInfo<UnifiedAreaCityTarget> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

		return null;
	}

	@Override
	public void deleteObj(Long id) {

		unifiedAreaCityTargetMapper.deleteByPrimaryKey(id);
	}

	@Override
	public int updateByPrimaryKeySelective(UnifiedAreaCityTarget t) {

		return unifiedAreaCityTargetMapper.updateByPrimaryKeySelective(t);
	}

	@Override
	public UnifiedAreaCityTarget findById(Long id) {

		return unifiedAreaCityTargetMapper.selectByPrimaryKey(id);
	}

	@Override
	public int insertSelective(UnifiedAreaCityTarget t) {

		return unifiedAreaCityTargetMapper.insertSelective(t);
	}

	@Override
	public List<UnifiedAreaCityTarget> findAll(Map<String, Object> queryMap) {

		return unifiedAreaCityTargetMapperEx.findAll(queryMap);
	}

}
